Bug 10269 - Add a way to utilise a specific replyto email address for some notices
Summary: Add a way to utilise a specific replyto email address for some notices
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 10 votes (vote)
Assignee: Martin Renvoize
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 2234 4461 22821 3679
  Show dependency treegraph
 
Reported: 2013-05-17 08:53 UTC by mathieu saby
Modified: 2020-04-09 05:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This patchset adds the foundations needed to make use of a reply-to address if passed when calling EnqueueLetter. Further bugs will be used to add interfaces for adding such addresses.
Version(s) released in:
20.05.00


Attachments
Bug 10269: Add reply_address field to message_queue table (1.71 KB, patch)
2020-03-02 14:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 10269: Schema Update (1.49 KB, patch)
2020-03-02 14:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 10269: Use 'reply-to' address if passed to EnqueueLetter (3.63 KB, patch)
2020-03-02 14:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 10269: Add reply_address field to message_queue table (1.78 KB, patch)
2020-03-18 09:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10269: Schema Update (1.56 KB, patch)
2020-03-18 09:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10269: Use 'reply-to' address if passed to EnqueueLetter (3.70 KB, patch)
2020-03-18 09:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-05-17 08:53:51 UTC
I am defining a notice template for ILL. I want to use a specific email address (like "ill@mylibrary.fr", instead of the adress of the banch or the adress of the Koha administrator.

I believe it is not possible.

M. Saby
Comment 1 Liz Rea 2013-05-17 09:38:32 UTC
I agree this is desirable. Reply to should probably be a configuration option in notices and tools, per branch and per notice.
Comment 2 Katrin Fischer 2014-11-02 11:10:57 UTC
Not quite what was intended here, but the reply-to is now configurable by branch at least - small steps :)
Comment 3 Martin Renvoize 2020-03-02 14:08:38 UTC
Created attachment 99905 [details] [review]
Bug 10269: Add reply_address field to message_queue table

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>
Comment 4 Martin Renvoize 2020-03-02 14:08:41 UTC
Created attachment 99906 [details] [review]
Bug 10269: Schema Update

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>
Comment 5 Martin Renvoize 2020-03-02 14:08:43 UTC
Created attachment 99907 [details] [review]
Bug 10269: Use 'reply-to' address if passed to EnqueueLetter

This patch updates the EnqueueLetter method to allow passing a reply_to
address. This allows for passing in arbitrary addresses for the reply
address which will not override the from address. This improves the
chances of your email getting past spam filters.

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>
Comment 6 Martin Renvoize 2020-03-02 14:09:21 UTC
Pulling the SO through from bug 22821 where this code was originally submitted and tested inline there.
Comment 7 Jonathan Druart 2020-03-18 09:48:08 UTC
Created attachment 100931 [details] [review]
Bug 10269: Add reply_address field to message_queue table

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2020-03-18 09:48:12 UTC
Created attachment 100932 [details] [review]
Bug 10269: Schema Update

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2020-03-18 09:48:15 UTC
Created attachment 100933 [details] [review]
Bug 10269: Use 'reply-to' address if passed to EnqueueLetter

This patch updates the EnqueueLetter method to allow passing a reply_to
address. This allows for passing in arbitrary addresses for the reply
address which will not override the from address. This improves the
chances of your email getting past spam filters.

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Martin Renvoize 2020-03-18 15:44:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Martin Renvoize 2020-03-18 16:29:57 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-04-03 18:34:12 UTC
enhancement not backported to 19.11.x